Skip to content

Create Project

Create a new project instance from a project configuration. Requires the PROJECT_MANAGEMENT feature flag and ADMIN or MANAGE_PROJECTS permissions.

Parameters

name * are required parametersdata typedescription
body.projectConfigId*stringThe project configuration schema ID
body.name*stringThe display name of the project instance
body.fieldsobjectField values for the project
body.startDatestringProject start date (ISO 8601)
body.endDatestringProject end date (ISO 8601)

Return Value

The created project instance.

Examples

bash
curl -X POST "https://app.wombat.software/api/{targetPath}/project" \
  -H "Content-Type: application/json" \
  -H "Authentication: Bearer ..." \
  -d '{"projectConfigId": "config-123", "name": "Site Renovation 2025"}'

ENDPOINTS

post/api/{targetPath}/project